<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 30/01/2015
 * Time: 15:34
 */

namespace Factory;


use Util\Utilities;

class Tarefa {

    public function createTarefa($nrsoliserv, $cdassunto, $cdoperresp, $dsrefetarefa, $idorigtare, $nrpriotarefa, $currentCdoperador){
        $entity = new \Teknisa\Model\Teknisa\Entities\Tarefa();
        Utilities::fixBugsNewCode('TAREFA','NRTAREFA', 'TAREFA9999');
        $entity->setNrsoliserv($nrsoliserv);
        $entity->setCdassunto($cdassunto);
        $entity->setCdoperresp($cdoperresp);
        $entity->setDsrefetarefa($dsrefetarefa);
        $entity->setIdorigtare($idorigtare);
        $entity->setNrpriotarefa($nrpriotarefa);
        $entity->setCdoperaber($currentCdoperador);
        $entity->setDtabertarefa(new \DateTime());
        $entity->setIdsittarefa("P");
        $entity->setCdfilial('9999');
        return $entity;
    }

    public function editTarefa($entity, $cdoperresp, $dsrefetarefa, $nrpriotarefa){
        $entity->setCdoperresp($cdoperresp);
        $entity->setDsrefetarefa($dsrefetarefa);
        $entity->setNrpriotarefa($nrpriotarefa);
        return $entity;
    }
}
